MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025789Open CASCADE[OCCT] OCCT:Visualizationpublic2015-02-03 13:112018-03-14 21:53
Reporterisz 
Assigned Tobugmaster 
PriorityhighSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0025789: Visualization - get rid of obsolete 2d layers implementation
DescriptionAs far as 2d layers were implemented through z-layers, it is necessary to remove previous implementation of 2d layers.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025508closedbugmaster Open CASCADE Visualization - redesign of 2d layers in TKV3d 
parent of 0026807closedbugmaster Open CASCADE Documentation - describe dropping of Visual3d and UserDraw within porting notes 
parent of 0029576closedbugmaster Open CASCADE Coding Rules - remove unused declarations from package Aspect 
related to 0023028closedbugmaster Open CASCADE Visualization, TKOpenGl - eliminate global static variables 
related to 0020842closedbugmaster Open CASCADE Visualization, 2D layer - strange logic of defining viewport geometry 
related to 0020865closedbugmaster Open CASCADE Visualization - opening Local Context resets layers in 3D view 
related to 0026494closedbugmaster Community Visual3d_Layer DrawText leads to access violation in nvoglv32.dll 
related to 0025338closedbugmaster Open CASCADE MFC standard samples: 3D selection rectangle blinking. 
child of 0025783closedbugmaster Open CASCADE Visualization - allow Z-layer to draw 2D objects and to make it alternative to Overlay and Underlay 

-  Notes
(0037694)
git (administrator)
2015-02-19 14:49

Branch CR25789 has been created by isz.

SHA-1: 2069632c892d60a8acd48379a93678cb0e9dff7c


Detailed log of new commits:

Author: isz
Date: Thu Feb 19 13:59:42 2015 +0300

    0025789: Visualization - get rid of obsolete 2d layers implementation
    
    Old implementation of 2d layers through CLayer2d was removed. Draw commands "voverlaytext" and "vlayerline" were updated to work with new implementation of 2d layers.
(0037834)
git (administrator)
2015-02-24 17:59

Branch CR25789 has been updated forcibly by isz.

SHA-1: 6ef3e0d6702896ad94f14d66cd6a7f2c94c0f5a3
(0037863)
git (administrator)
2015-02-25 15:09

Branch CR25789 has been updated forcibly by isz.

SHA-1: ccdf1d0ce23827365ba90d8f79fa58bf78f06c28
(0037992)
git (administrator)
2015-03-02 13:55

Branch CR25789 has been updated forcibly by isz.

SHA-1: b76ac2cbf79af13d5f216b9e46b784ec37dc9258
(0038066)
git (administrator)
2015-03-04 10:57

Branch CR25789 has been updated forcibly by isz.

SHA-1: 5db19b698273e4bd95076bc8a2e917a8a85d1a95
(0044582)
kgv (developer)
2015-08-25 09:38

Please prepare porting notes within this patch.
(0044742)
git (administrator)
2015-08-27 14:09

Branch CR25789_2 has been created by isz.

SHA-1: 54a1d233e61defe5f6d49f1a119afeae44bd9717


Detailed log of new commits:

Author: isz
Date: Thu Aug 27 14:08:30 2015 +0300

    0025789: Visualization - get rid of obsolete 2d layers implementation
    
    Classes Aspect_Clayer2d, Visual3d_Layer, Visual3d_LayerItem, V3d_LayerMgr, V3d_LayerMgrPointer were deleted.
(0044751)
git (administrator)
2015-08-27 15:35

Branch CR25789_2 has been updated forcibly by isz.

SHA-1: 3365a13d60dbda0cfeb9c13cdc752922d5ac0d53
(0044752)
git (administrator)
2015-08-27 15:39

Branch CR25789_2 has been updated forcibly by isz.

SHA-1: 62bae5b43a2c8934a42b93ff94ad1ba90bdf1a26
(0044753)
kgv (developer)
2015-08-27 15:41

Please test the patch in branch CR25789_2.
(0044762)
git (administrator)
2015-08-27 17:50

Branch CR25789_2 has been updated forcibly by mkv.

SHA-1: 8155321119d5deba26ce8ea37aa4de23d4971682
(0044770)
mkv (tester)
2015-08-27 20:33

Dear BugMaster,
Branch CR25789_2 was rebased on branch IR-2015-08-27 of occt git-repository.
SHA-1: 8155321119d5deba26ce8ea37aa4de23d4971682
(0044771)
mkv (tester)
2015-08-27 20:33

Dear BugMaster,
Branch CR25789_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 8155321119d5deba26ce8ea37aa4de23d4971682

There are following extraction errors:
Linux:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR25789-2-master/job/CR25789-2-master_prepare_occt_linux/1/parsed_console/ [^]
=====> V3d:src

Error : File V3d_LayerMgr.cxx could not be found
Error : Failed during execution
Info : Step src
Error : Step src failed

MacOS:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR25789-2-master/job/CR25789-2-master_prepare_build_occt_MacOS/1/parsed_console/ [^]
=====> V3d:src

Error : File V3d_LayerMgr.cxx could not be found
Error : Failed during execution
Info : Step src
Error : Step src failed
(0044850)
git (administrator)
2015-08-28 19:34

Branch CR25789_2 has been updated by kgv.

SHA-1: 1d1dd60d959c3e99903c7e185889a09047570ce1


Detailed log of new commits:

Author: kgv
Date: Fri Aug 28 19:34:00 2015 +0300

    Update V3d/FILES

Author: kgv
Date: Thu Aug 13 18:09:17 2015 +0300

    0026559: Configuration, genproj.tcl - add mandatory C++11 compiler flag to generated Code::Blocks project files

(0044851)
git (administrator)
2015-08-28 19:34

Branch CR25789_2 has been updated forcibly by kgv.

SHA-1: 272371d862d628880411dabbc11b6379760f8dd6
(0044852)
git (administrator)
2015-08-28 19:35

Branch CR25789_2 has been updated forcibly by kgv.

SHA-1: bb08c39a0d3a25b1cf2323d07c17324704a249a9
(0044853)
kgv (developer)
2015-08-28 19:35

Please test updated patch.
(0044884)
git (administrator)
2015-08-31 14:45

Branch CR25789_3 has been created by isz.

SHA-1: 772af7db6368bd2355982949f66843aba7b62853


Detailed log of new commits:

Author: isz
Date: Mon Aug 31 14:43:55 2015 +0300

    Documentation updated.
(0044908)
git (administrator)
2015-08-31 18:10

Branch CR25789_3 has been updated forcibly by isz.

SHA-1: 843b0e2e74e3b59bb2abeff961385dcd5440123b
(0044913)
mkv (tester)
2015-08-31 19:23

Dear BugMaster,
Branch CR25789_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: bb08c39a0d3a25b1cf2323d07c17324704a249a9

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91617093 / 91196283 [+0.46%]
Total CPU difference: 17787.18999999896 / 17162.369999999384 [+3.64%]
products component :
Total MEMORY difference: 25202881 / 25226546 [-0.09%]
Total CPU difference: 7219.8499999999885 / 7039.5099999999975 [+2.56%]

Testing on Windows:
occt component :
Total MEMORY difference: 57038113 / 57044492 [-0.01%]
Total CPU difference: 16036.138395098971 / 16075.981050498936 [-0.25%]
products component :
Total MEMORY difference: 16226544 / 16228570 [-0.01%]
Total CPU difference: 5301.912386399976 / 5334.079792599963 [-0.60%]

There are no differences in images found by testdiff.
(0044932)
mkv (tester)
2015-09-01 14:19

Dear BugMaster,
Branch CR25789_3 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 843b0e2e74e3b59bb2abeff961385dcd5440123b

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91626810 / 91194743 [+0.47%]
Total CPU difference: 17132.689999999286 / 17070.939999999373 [+0.36%]
products component :
Total MEMORY difference: 25227337 / 25216192 [+0.04%]
Total CPU difference: 7136.9199999999855 / 7037.529999999998 [+1.41%]

Testing on Windows:
occt component :
Total MEMORY difference: 57081504 / 57088288 [-0.01%]
Total CPU difference: 16394.753493899083 / 16439.744182298913 [-0.27%]
products component :
Total MEMORY difference: 16220266 / 16222282 [-0.01%]
Total CPU difference: 5336.248206499967 / 5332.831784599964 [+0.06%]

There are no differences in images found by testdiff.
(0046850)
git (administrator)
2015-10-16 16:08

Branch CR25789_2 has been deleted by kgv.

SHA-1: bb08c39a0d3a25b1cf2323d07c17324704a249a9
(0046878)
git (administrator)
2015-10-16 16:14

Branch CR25789_3 has been deleted by kgv.

SHA-1: 843b0e2e74e3b59bb2abeff961385dcd5440123b
(0047035)
git (administrator)
2015-10-16 16:47

Branch CR25789 has been deleted by kgv.

SHA-1: 5db19b698273e4bd95076bc8a2e917a8a85d1a95

- Related Changesets
occt: master 27f85086
Timestamp: 2015-09-03 11:52:01
Author: isz
Committer: bugmaster
Details ] Diff ]
0025789: Visualization - get rid of obsolete 2d layers implementation

Classes Aspect_Clayer2d,OpenGl_GrahpicDriver_Layer, Visual3d_Layer, Visual3d_LayerItem, V3d_LayerMgr, V3d_LayerMgrPointer were deleted. Method OpenGl_GraphicDriver::TextSize() was moved to OpenGl_GraphicDriver.cxx.

Update V3d/FILES

Documentation updated.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
rm - src/Aspect/Aspect_CLayer2d.hxx Diff ] File ]
mod - src/Aspect/FILES Diff ] File ]
mod - src/D3DHost/D3DHost_Workspace.cxx Diff ] File ]
mod - src/D3DHost/D3DHost_Workspace.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_7.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_Export.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_GraphicDriver_Layer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_2.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff ] File ]
mod - src/V3d/FILES Diff ] File ]
rm - src/V3d/V3d_LayerMgr.cxx Diff ] File ]
rm - src/V3d/V3d_LayerMgr.hxx Diff ] File ]
rm - src/V3d/V3d_LayerMgr.lxx Diff ] File ]
rm - src/V3d/V3d_LayerMgrPointer.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/V3d/V3d_View_1.cxx Diff ] File ]
mod - src/V3d/V3d_View_2.cxx Diff ] File ]
mod - src/V3d/V3d_View_3.cxx Diff ] File ]
mod - src/V3d/V3d_View_4.cxx Diff ] File ]
mod - src/V3d/V3d_View_5.cxx Diff ] File ]
mod - src/V3d/V3d_View_Print.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/Visual3d/FILES Diff ] File ]
rm - src/Visual3d/Visual3d_Layer.cxx Diff ] File ]
rm - src/Visual3d/Visual3d_Layer.hxx Diff ] File ]
rm - src/Visual3d/Visual3d_LayerItem.cxx Diff ] File ]
rm - src/Visual3d/Visual3d_LayerItem.hxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.hxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-03 13:11 isz New Issue
2015-02-03 13:11 isz Assigned To => isz
2015-02-03 13:12 isz Relationship added child of 0025783
2015-02-03 13:13 isz Relationship added related to 0025508
2015-02-03 14:29 kgv Severity feature => integration request
2015-02-03 14:29 kgv Status new => assigned
2015-02-03 14:29 kgv Summary Get rid of obsolete 2d layers implementation. => Visualization - get rid of obsolete 2d layers implementation
2015-02-19 14:49 git Note Added: 0037694
2015-02-24 17:59 git Note Added: 0037834
2015-02-25 15:09 git Note Added: 0037863
2015-03-02 13:55 git Note Added: 0037992
2015-03-04 10:57 git Note Added: 0038066
2015-03-31 14:49 kgv Relationship added related to 0023028
2015-04-06 13:55 kgv Target Version 6.9.0 => 7.1.0
2015-06-29 12:19 kgv Relationship added related to 0020842
2015-06-29 12:20 kgv Relationship added related to 0020865
2015-07-29 18:26 kgv Relationship added related to 0026494
2015-08-19 11:36 kgv Target Version 7.1.0 => 7.0.0
2015-08-25 09:38 kgv Note Added: 0044582
2015-08-25 09:38 kgv Priority normal => high
2015-08-27 14:09 git Note Added: 0044742
2015-08-27 15:35 git Note Added: 0044751
2015-08-27 15:39 git Note Added: 0044752
2015-08-27 15:41 kgv Note Added: 0044753
2015-08-27 15:41 kgv Assigned To isz => bugmaster
2015-08-27 15:41 kgv Status assigned => resolved
2015-08-27 16:06 kgv Status resolved => reviewed
2015-08-27 17:50 git Note Added: 0044762
2015-08-27 18:59 mkv Assigned To bugmaster => mkv
2015-08-27 20:33 mkv Note Added: 0044770
2015-08-27 20:33 mkv Note Added: 0044771
2015-08-27 20:33 mkv Assigned To mkv => isz
2015-08-27 20:33 mkv Status reviewed => assigned
2015-08-28 19:34 git Note Added: 0044850
2015-08-28 19:34 git Note Added: 0044851
2015-08-28 19:35 git Note Added: 0044852
2015-08-28 19:35 kgv Note Added: 0044853
2015-08-28 19:35 kgv Assigned To isz => bugmaster
2015-08-28 19:35 kgv Status assigned => resolved
2015-08-28 19:36 kgv Status resolved => reviewed
2015-08-31 13:20 mkv Assigned To bugmaster => mkv
2015-08-31 14:45 git Note Added: 0044884
2015-08-31 18:10 git Note Added: 0044908
2015-08-31 19:23 mkv Note Added: 0044913
2015-08-31 19:23 mkv Test case number => Not needed
2015-09-01 14:19 mkv Note Added: 0044932
2015-09-01 14:19 mkv Assigned To mkv => bugmaster
2015-09-01 14:19 mkv Status reviewed => tested
2015-09-04 13:02 bugmaster Changeset attached => occt master 27f85086
2015-09-04 13:02 bugmaster Status tested => verified
2015-09-04 13:02 bugmaster Resolution open => fixed
2015-10-16 16:08 git Note Added: 0046850
2015-10-16 16:14 git Note Added: 0046878
2015-10-16 16:47 git Note Added: 0047035
2015-10-24 14:12 kgv Relationship added parent of 0026807
2015-11-10 10:32 kgv Relationship added related to 0025338
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed
2018-03-14 21:53 kgv Relationship added parent of 0029576


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker